#!/usr/bin/env bash

prereqs="curl wget ansible"
remote_file_url="https://github.com/paulbsd/???"
archive_file="/tmp/???.tar.gz"
working_directory="/tmp/???"

update()
{
  apt-get update
  apt-get install -y ${prereqs}
}

fetch_archive()
{
  wget -O ${archive_file} ${remote_file_url}
}

run_playbook()
{
  cd $1
  ansible-playbook playbook.yml
}

cleanup()
{
  rm -rf /tmp/???
}

echo "Let's update repositories and install ansible"
update

echo "Let's download archive ..."
fetch_archive


if [[ -f ${archive_file} ]]
then
  echo "Let's run "
  run_playbook ${working_directory}
  cleanup
fi
